`timescale 1ns / 1ps
//*****************************************************************************
// File Name            : test stepmotor_ctrl.v
//-----------------------------------------------------------------------------
// Function             : stepmotor controller test
//                        
//-----------------------------------------------------------------------------
// Designer             : yokomizo 
//-----------------------------------------------------------------------------
// History
// -.-- 2012/9/18
//*****************************************************************************

module test_stepmotor;

        // Inputs
        reg clk;
        reg rstb;
        reg sw_0;
        reg sw_1;
        reg sw_2;
        reg sw_3;

        // Outputs
        wire pwm_1;
        wire pwm_1b;
        wire pwm_2;
        wire pwm_2b;
        wire led;
        wire [3:0]led_sp;

        // Instantiate the Unit Under Test (UUT)
        stepmotor_ctrl uut (
                .clk(clk), 
                .rstb(rstb), 
                .sw_0(sw_0), 
                .sw_1(sw_1), 
                .sw_2(sw_2), 
                .sw_3(sw_3), 
                .pwm_1(pwm_1), 
                .pwm_1b(pwm_1b), 
                .pwm_2(pwm_2), 
                .pwm_2b(pwm_2b), 
                .led(led),
                .led_sp(led_sp)
        );
        initial begin
                // Initialize Inputs
                repeat(100000000)begin
                  clk = 0;
                  #12.5;
                  clk = 1;
                  #12.5;
                end
                // Add stimulus here

        end

        initial begin
                // Initialize Inputs
                rstb = 0;
                sw_0 = 1;
                sw_1 = 1;
                sw_2 = 1;
                sw_3 = 1;

                // Wait 100 ns for global reset to finish
                #100;
                rstb = 1;
                #20000;
                sw_0 = 0;
                #100000000;
                sw_0 = 1;
                #20000000;
                sw_1 = 0;
                #100000000;
                sw_1 = 1;
                #20000000;
                sw_0 = 0;
                #20000000;
                sw_2 = 0; //-1
                #30000000;
                sw_2 = 1;
                #30000000;
                sw_2 = 0; //-1
                #30000000;
                sw_2 = 1;
                #30000000;
                sw_2 = 0; //-1
                #30000000;
                sw_2 = 1;
                #30000000;
                sw_2 = 0; //-1
                #30000000;
                sw_2 = 1;
                #30000000;
                sw_2 = 0; //-1
                #30000000;
                sw_2 = 1;
                #30000000;
                sw_2 = 0; //-1
                #30000000;
                sw_2 = 1;
                #30000000;
                sw_3 = 0; //+1
                #30000000;
                sw_3 = 1;
                #30000000;
                sw_3 = 0; //+1
                #30000000;
                sw_3 = 1;
                #30000000;
                sw_3 = 0; //+1
                #30000000;
                sw_3 = 1;
                #30000000;
                sw_3 = 0; //+1
                #30000000;
                sw_3 = 1;
                #30000000;
                sw_3 = 0; //+1
                #30000000;
                sw_3 = 1;
                #30000000;
                #20000000;
           
                #2000000000;
                sw_1 = 0;
                #200000;
                sw_1 = 1;
                #200000;
                sw_3 = 0;
                #200000;
                sw_3 = 1;
                #200000;
                sw_3 = 0;
                #200000;
                sw_3 = 1;
                #200000;
                sw_0 = 0;
                #20000000;
                sw_0 = 1;
                #200000;
                sw_1 = 0;
                #20000000;
                sw_1 = 1;
                #200000 ;
                sw_0 = 0;
                #40000000 ;
                sw_0 = 1;
                sw_1 = 0;
        
                // Add stimulus here

        end
      
endmodule

